summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGuangrongFu <fu.guangrong@zte.com.cn>2021-03-10 10:23:31 +0800
committerGuangrongFu <fu.guangrong@zte.com.cn>2021-03-10 10:23:31 +0800
commit4fe5262e828c2f3a4f8a5be0e1308a683d3b058e (patch)
tree0273424fba4e13f2cbce14459336ac84065b5d1e
parentbf43529b242519e3c8c690820bba8dd4e8831d8a (diff)
Init DB Using envsubst
Change-Id: I8f6d5a455b52ca03c7754f570b353f7b1ddbddf9 Issue-ID: HOLMES-396 Signed-off-by: GuangrongFu <fu.guangrong@zte.com.cn>
-rw-r--r--rulemgt-standalone/src/main/assembly/bin/initDB.sh6
-rw-r--r--rulemgt-standalone/src/main/assembly/bin/run.sh2
2 files changed, 4 insertions, 4 deletions
diff --git a/rulemgt-standalone/src/main/assembly/bin/initDB.sh b/rulemgt-standalone/src/main/assembly/bin/initDB.sh
index 32ba72a..436d48d 100644
--- a/rulemgt-standalone/src/main/assembly/bin/initDB.sh
+++ b/rulemgt-standalone/src/main/assembly/bin/initDB.sh
@@ -25,7 +25,7 @@ host=$5
echo "Initializing the holmes rule management database..."
main_path=$HOME/..
-if [[ -d /opt/hrmconfig ]]; then
+if [ -d /opt/hrmconfig ]; then
cp /opt/hrmconfig/onap-holmes_rulemgt-createobj.sql "$main_path/dbscripts/postgresql/onap-holmes_rulemgt-createobj.sql"
else
sed -i "s|DBNAME|$dbname|g" "$main_path/dbscripts/postgresql/onap-holmes_rulemgt-createobj.sql"
@@ -40,7 +40,7 @@ echo "password=$password"
echo "port=$port"
echo "host=$host"
-if [[ -z `env | grep PGPASSWORD` ]]; then
+if [ -z `env | grep PGPASSWORD` ]; then
export PGPASSWORD=$password
need_unset=1
fi
@@ -49,7 +49,7 @@ psql -U "$user" -p "$port" -h "$host" -d "$dbname" -f $main_path/dbscripts/postg
psql -U "$user" -p "$port" -h "$host" -d "$dbname" --command 'select * from aplus_rule;'
sql_result=$?
-if [[ $need_unset -eq 1 ]]; then
+if [ $need_unset -eq 1 ]; then
unset PGPASSWORD
fi
diff --git a/rulemgt-standalone/src/main/assembly/bin/run.sh b/rulemgt-standalone/src/main/assembly/bin/run.sh
index 3e0ff97..5b645b1 100644
--- a/rulemgt-standalone/src/main/assembly/bin/run.sh
+++ b/rulemgt-standalone/src/main/assembly/bin/run.sh
@@ -49,7 +49,7 @@ if [ -z ${DB_NAME} ]; then
fi
# if deployed using helm, use the helm-generated configuration file.
-if [[ -d /opt/hrmconfig ]]; then
+if [ -d /opt/hrmconfig ]; then
cp /opt/hrmconfig/rulemgt.yml "$main_path/conf/rulemgt.yml"
else
sed -i "s|user:.*|user: $JDBC_USERNAME|" "$main_path/conf/rulemgt.yml"